Array
(
)

Auto completar

Stclara3107
   - 26 fev 2006

Ola, pessoal. Consegui instalar e estou conseguindo compilar programas no kylix usando o slack 10.2 com kerne 2.6.
Só que o autocompletar no editor não funciona, retornando sempre uma mensagem de que existe um erro na unit.
Alguém já passou por isso e pode me dar uma luz?


Dopi
   - 03 mar 2006

Infelizmente a IDE do Kylix tem vários problemas com o Kernel 2.6... Somente instalando um Kernel antigo dá pra usar todos os recursos da IDE como Debug e AutoCompletar

Gerealmente isso é uma tarefa difícil, mas achei um projeto que torna isso bem mais simples...

http://projeto-messias.sourceforge.net/ (28 MB)

Ele foi projetado para ´rodar´ modens que só funcionam no Kernel 2.4... mas é o mesmo caso do Kylix... Após instalado, vc terá uma nova opção de Boot no Lilo/Grub que dá boot no Kernel 2.4...

Espero que a Borland tome vergonha e pelo menos corrija esses bugs na IDE.


Iedamariald
   - 13 jul 2006

Siga os passos abaixo para corrigir o problema do auto-completar do kylix 3 no kernel 2.6

edite o arquivo kylix3/bin/startdelphi
adicione na área export: export LANG=en_US
edite o arquivo /etc/sysctl.conf
adicione a seguinte linha no fim do arquivo
vm.legacy_va_layout=1
execute a linha abaixo:
echo 1 > /proc/sys/vm/legacy_va_layout
execute a linha abaixo para confirmar a alteração:
cat /proc/sys/vm/legacy_va_layout


Dopi
   - 13 jul 2006

Show de bola !!

Testado e aprovado... :) Obrigado por compartilhar a solução conosco